org.codehaus.groovy.tools.shell

## Class IO.Verbosity

- java.lang.Object
- - org.codehaus.groovy.tools.shell.IO.Verbosity

- Enclosing class:
    IO

      public static final class IO.Verbosity
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static IO.Verbosity` | `DEBUG`
    `static IO.Verbosity` | `INFO`
    `java.lang.String` | `name`
    `static IO.Verbosity` | `QUIET`
    `static IO.Verbosity` | `VERBOSE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IO.Verbosity` | `forName(java.lang.String name)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### QUIET

          public static final IO.Verbosity QUIET

    - #### INFO

          public static final IO.Verbosity INFO

    - #### VERBOSE

          public static final IO.Verbosity VERBOSE

    - #### DEBUG

          public static final IO.Verbosity DEBUG

    - #### name

          public final java.lang.String name

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### forName

          public static IO.Verbosity forName(java.lang.String name)